CTRLALTDEL(8)

NAZWA
ctrlaltdel - ustawia działanie kombinacji Ctrl-Alt-Del

SKŁADNIA

ctrlaltdel hard|soft

OPIS

W oparciu o sprawdzenie kodu linux/kernel/reboot.c jest jasne, że są dwie obsługiwane funkcje które może wykonać sekwencja <Ctrl-Alt-Del>.

hard
    Natychmiast uruchamia komputer ponownie, bez wywołania sync(2) i bez jakichkolwiek innych przygotowań. Jest to zachowanie domyślne.

soft
    Jądro wysyła procesowi init (jest to zawsze proces z PID 1) sygnał SIGINT (przerwania). Jeśli użyta jest ta opcja, program init(8) musi obsługiwać tę właściwość. Ponieważ w chwili obecnej istnieje w środowisku linuksowym kilka programów init(8), konieczne jest sprawdzenie tego w dokumentacji swojej wersji.

Gdy polecenie jest uruchomione bez żadnych argumentów, wyświetli aktualne ustawienie.

Działanie ctrlaltdel jest zazwyczaj ustawione w pliku /etc/rc.local.

OPCJE

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

PLIKI

/etc/rc.local

AUTORZY

ZOBACZ TAKŻE

init(8), systemd(1)

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie ctrlaltdel jest częścią pakietu util-linux, który można pobrać ze strony